Jump to content

Photo

efl package error on ubuntu 14.04 [SYSTEM SPECIFIC]

efl moksha

Best Answer Jeff, 29 October 2015 - 06:18 PM

You need to remove the conflicting libecore1 package from your system. This is the upstream Ubuntu package for the efls that is much older than what Bodhi provides.

At some point I'll updated the Bodhi packages so they cleanly remove these Ubuntu packages automatically. Go to the full post


  • Please log in to reply
1 reply to this topic

#1 Anurag R

Anurag R

    Member

  • Members
  • 3 posts

Posted 29 October 2015 - 05:45 PM

I cannot install Moksha on ubuntu 14.04. It has 5 desktops; KDE, Cinnamon, Lubuntu-desktop, Xfce. Previously I had no problem installing Moksha but after installing KDE and then trying to install moksha i encountered many errors but I managed to solve them. Only this error is left out

Preparing to unpack .../efl_20150806bodhi1.15.0-1_i386.deb ...
Unpacking efl (20150806bodhi1.15.0-1) ...
dpkg: error processing archive /var/cache/apt/archives/efl_20150806bodhi1.15.0-1_i386.deb (--unpack):
 trying to overwrite '/usr/lib/i386-linux-gnu/libecore.so.1', which is also in package libecore1 1.7.7-2ubuntu1
 
Errors were encountered while processing:
 /var/cache/apt/archives/efl_20150806bodhi1.15.0-1_i386.deb
Error: Timeout was reached
E: Sub-process /usr/bin/dpkg returned an error code (1)

Due to this error I cant run Moksha as many packages (like edbus, ephoto, elemenatry, moksha, etc) depends on efl. Also it breaks the sudo apt-get update command. Anything to do without uninstalling other DE's? Help plz :).





A big thank you to everyone who contributes to Bodhi Linux


#2 Jeff

Jeff

    Lead Developer

  • Developer
  • 12549 posts
  • LocationBloomington, IL

Posted 29 October 2015 - 06:18 PM   Best Answer

You need to remove the conflicting libecore1 package from your system. This is the upstream Ubuntu package for the efls that is much older than what Bodhi provides.

At some point I'll updated the Bodhi packages so they cleanly remove these Ubuntu packages automatically.





Also tagged with one or more of these keywords: efl, moksha

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users